package com.eactive.eai.common.logger.async;

import com.eactive.eai.common.logger.HttpAdapterExtraLogVo;
import com.lmax.disruptor.EventFactory;
import lombok.Data;

@Data
public class HttpLoggingEvent {
    private HttpAdapterExtraLogVo httpAdapterExtraLogVo;

    public final static EventFactory<HttpLoggingEvent> EVENT_FACTORY = new EventFactory<HttpLoggingEvent>() {
        public HttpLoggingEvent newInstance() {
            return new HttpLoggingEvent();
        }
    };
}
